this works on FF 17 ESR.. Puntuado con 5 de 5 estrellas

as far as I can see... your problem may be it not working with latest standard download.. (V 20 i think)
google FF 17 ESR to find it to test, and post any that do not..

Esta valoración es de una versión anterior del complemento (0.976.1-signed.1-signed).